GDCM: gdcm::ImageChangePhotometricInterpretation Class Reference

GDCM 3.2.11

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gdcm::ImageChangePhotometricInterpretation Class Reference

ImageChangePhotometricInterpretation class. More...

`#include <gdcmImageChangePhotometricInterpretation.h>`

Inheritance diagram for gdcm::ImageChangePhotometricInterpretation:
[legend]
Collaboration diagram for gdcm::ImageChangePhotometricInterpretation:
[legend]

## Public Member Functions
| ImageChangePhotometricInterpretation ()
| ~ImageChangePhotometricInterpretation ()=default
bool | Change ()
| Change.
const PhotometricInterpretation & | GetPhotometricInterpretation () const
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
| Set/Get requested PhotometricInterpretation.
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()=default
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Static Public Member Functions
template<typename T>
static void | RGB2YBR (T ybr[3], const T rgb[3], unsigned short storedbits=8)
template<typename T>
static void | YBR2RGB (T rgb[3], const T ybr[3], unsigned short storedbits=8)

## Protected Member Functions
bool | ChangeMonochrome ()
bool | ChangeRGB2YBR ()
bool | ChangeYBR2RGB ()

## Additional Inherited Members
Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageChangePhotometricInterpretation class.

Class to change the Photometric Interpretation of an input DICOM

## Constructor & Destructor Documentation

## ◆ ImageChangePhotometricInterpretation()

gdcm::ImageChangePhotometricInterpretation::ImageChangePhotometricInterpretation | ( |  | ) |
| inline

## ◆ ~ImageChangePhotometricInterpretation()

gdcm::ImageChangePhotometricInterpretation::~ImageChangePhotometricInterpretation | ( |  | ) |
| default

## Member Function Documentation

## ◆ Change()

bool gdcm::ImageChangePhotometricInterpretation::Change | ( |  | ) |

Change.

References RGB2YBR(), and YBR2RGB().

## ◆ ChangeMonochrome()

bool gdcm::ImageChangePhotometricInterpretation::ChangeMonochrome | ( |  | ) |
| protected

## ◆ ChangeRGB2YBR()

bool gdcm::ImageChangePhotometricInterpretation::ChangeRGB2YBR | ( |  | ) |
| protected

## ◆ ChangeYBR2RGB()

bool gdcm::ImageChangePhotometricInterpretation::ChangeYBR2RGB | ( |  | ) |
| protected

## ◆ GetPhotometricInterpretation()

const PhotometricInterpretation & gdcm::ImageChangePhotometricInterpretation::GetPhotometricInterpretation | ( |  | ) | const
| inline

## ◆ RGB2YBR()

template<typename T>

void gdcm::ImageChangePhotometricInterpretation::RGB2YBR | ( | T | ybr[3],
|  | const T | rgb[3],
|  | unsigned short | storedbits = 8 )
| static

colorspace conversion (based on CCIR Recommendation 601-2) -> T.871

References gdcm::Clamp(), gdcm_assert, and gdcm::Round().

Referenced by Change().

## ◆ SetPhotometricInterpretation()

void gdcm::ImageChangePhotometricInterpretation::SetPhotometricInterpretation | ( | PhotometricInterpretation const & | pi | ) |
| inline

Set/Get requested PhotometricInterpretation.

## ◆ YBR2RGB()

template<typename T>

void gdcm::ImageChangePhotometricInterpretation::YBR2RGB | ( | T | rgb[3],
|  | const T | ybr[3],
|  | unsigned short | storedbits = 8 )
| static

References gdcm::Clamp(), gdcm_assert, and gdcm::Round().

Referenced by Change().

The documentation for this class was generated from the following file:

- gdcmImageChangePhotometricInterpretation.h